## org.eclipse.datatools.modelbase.sql.query
Interface CursorReference

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  CursorReferenceImpl

    public interface CursorReference

extends SQLQueryObject

A representation of the model object 'SQL Cursor Reference'.

The following features are supported:

- `Update Statement`
- `Delete Statement`

See Also:
  `SQLQueryModelPackage.getCursorReference()`

Method Summary
`QueryDeleteStatement` `getDeleteStatement()` Returns the value of the 'Delete Statement' container reference.
`QueryUpdateStatement` `getUpdateStatement()` Returns the value of the 'Update Statement' container reference.
`void` `setDeleteStatement(QueryDeleteStatement value)` Sets the value of the '`Delete Statement`' container reference.
`void` `setUpdateStatement(QueryUpdateStatement value)` Sets the value of the '`Update Statement`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUpdateStatement

    QueryUpdateStatement getUpdateStatement()

  Returns the value of the 'Update Statement' container reference. It is bidirectional and its opposite is '`Where Current Of Clause`'.

  If the meaning of the 'Update Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Statement' container reference.
  See Also:
    `setUpdateStatement(QueryUpdateStatement)`, `SQLQueryModelPackage.getCursorReference_UpdateStatement()`, `QueryUpdateStatement.getWhereCurrentOfClause()`

### setUpdateStatement

    void setUpdateStatement(QueryUpdateStatement value)

  Sets the value of the '`Update Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Update Statement' container reference.
  See Also:
    `getUpdateStatement()`

### getDeleteStatement

    QueryDeleteStatement getDeleteStatement()

  Returns the value of the 'Delete Statement' container reference. It is bidirectional and its opposite is '`Where Current Of Clause`'.

  If the meaning of the 'Delete Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delete Statement' container reference.
  See Also:
    `setDeleteStatement(QueryDeleteStatement)`, `SQLQueryModelPackage.getCursorReference_DeleteStatement()`, `QueryDeleteStatement.getWhereCurrentOfClause()`

### setDeleteStatement

    void setDeleteStatement(QueryDeleteStatement value)

  Sets the value of the '`Delete Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Delete Statement' container reference.
  See Also:
    `getDeleteStatement()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.